Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.number
Class NumericGroupFormatter

    java.lang.Object
      net.sf.saxon.expr.number.NumericGroupFormatter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IrregularGroupFormatter, RegularGroupFormatter

    public abstract class NumericGroupFormatter

extends Object
implements Serializable

A NumericGroupFormatter is responsible for insertion of grouping separators into a formatted number (for example, reformatting "1234" as "1,234").

See Also:
  Serialized Form

Field Summary
`protected String` | `adjustedPicture`

Constructor Summary
`NumericGroupFormatter()`

Method Summary
`abstract String` | `format(FastStringBuffer value)` Reformat a number to add grouping separators
`String` | `getAdjustedPicture()` Get the adjusted (preprocessed) picture
`abstract String` | `getSeparator()` Get the grouping separator to be used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adjustedPicture

    protected String adjustedPicture

Constructor Detail

### NumericGroupFormatter

    public NumericGroupFormatter()

Method Detail

### getAdjustedPicture

    public String getAdjustedPicture()

  Get the adjusted (preprocessed) picture

### format

    public abstract String format(FastStringBuffer value)

  Reformat a number to add grouping separators

  Parameters:
    `value` - a buffer holding the number to be reformatted
  Returns:
    the reformatted number

### getSeparator

    public abstract String getSeparator()

  Get the grouping separator to be used. If more than one is used, return the last. If no grouping separators are used, return null

  Returns:
    the grouping separator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.